# ts_spell.tcl

proc SpellFile {file} {
  global params gparams

  set params(spelllist) {}
  if {$gparams(splang) != {}} {
    set lang "-d $gparams(splang)"
  } else {
    set lang ""
  }
  if {$gparams(spenc) != {}} {
    set enc "-T $gparams(spenc)"
  } else {
    set enc ""
  }
  ExecTerm "ispell -t $lang $enc $file"
}
